Loading...
Searching...
No Matches
EST_TRwStructIterator< Container, IPointer, Entry > Class Template Reference
Inheritance diagram for EST_TRwStructIterator< Container, IPointer, Entry >:
[legend]
Collaboration diagram for EST_TRwStructIterator< Container, IPointer, Entry >:
[legend]

## Public Types

typedef EST_TRwStructIterator< Container, IPointer, Entry > | Iter
Public Types inherited from EST_TRwIterator< Container, IPointer, Entry >
typedef EST_TRwIterator< Container, IPointer, Entry > | Iter
| Can't access constant containers this way.
Public Types inherited from EST_TIterator< Container, IPointer, Entry >
typedef EST_TIterator< Container, IPointer, Entry > | Iter
| Name for an iterator like this.

## Public Member Functions

| EST_TRwStructIterator ()
| Create an iterator not associated with any specific container.
Iter & | operator= (const Iter &orig)
| Copy an iterator by assignment.
| EST_TRwStructIterator (Container &over)
| Create an iterator ready to run over the given container.
Entry * | operator-> () const
Public Member Functions inherited from EST_TRwIterator< Container, IPointer, Entry >
| EST_TRwIterator ()
| Create an iterator not associated with any specific container.
Iter & | operator= (const Iter &orig)
| Copy an iterator by assignment.
| EST_TRwIterator (Container &over)
| Create an iterator ready to run over the given container.
void | begin (Container &over)
| Set the iterator ready to run over this container.
Entry & | current () const
| Return the element currently pointed to.
Entry & | operator* () const
| The * operator returns the current element.
Entry & | next_element ()
| Return the current element and move the pointer forwards.
Public Member Functions inherited from EST_TIterator< Container, IPointer, Entry >
| EST_TIterator ()
| Create an iterator not associated with any specific container.
| EST_TIterator (const Container &over)
| Create an iterator ready to run over the given container.
Iter & | operator= (const Iter &orig)
| Copy an iterator by assignment.
Iter & | operator= (const Container &over)
| Assigning a container to an iterator sets it ready to start.
void | begin (const Container &over)
| Set the iterator ready to run over this container.
void | beginning ()
| Reset to the start of the container.
bool | has_more_elements () const
| True if there are more elements to look at.
bool | at_end () const
| True when there are no more.
| operator int () const
void | next ()
| Next moves to the next entry.
Iter & | operator++ ()
| The increment operator does the same as next.
Iter | operator++ (int dummy)
const Entry & | current () const
| Return the element currently pointed to.
const Entry & | operator* () const
| The * operator returns the current element.
const Entry & | next_element ()
| Return the current element and move the pointer forwards.
unsigned int | n () const
| Return the current position.

## Additional Inherited Members

Protected Attributes inherited from EST_TIterator< Container, IPointer, Entry >
Container * | cont
| The container we are looking at.
unsigned int | pos
| Position in the structure. May or may not be useful.
IPointer | pointer

## Detailed Description

template<class Container, class IPointer, class Entry>
class EST_TRwStructIterator< Container, IPointer, Entry >

Definition at line 276 of file EST_TIterator.h.

## Member Typedef Documentation

## Iter

template<class Container, class IPointer, class Entry>

typedef EST_TRwStructIterator<Container, IPointer, Entry> EST_TRwStructIterator< Container, IPointer, Entry >::Iter

Definition at line 281 of file EST_TIterator.h.

## Constructor & Destructor Documentation

## EST_TRwStructIterator() [1/2]

template<class Container, class IPointer, class Entry>

EST_TRwStructIterator< Container, IPointer, Entry >::EST_TRwStructIterator | ( |  | ) |

inline

Create an iterator not associated with any specific container.

Definition at line 284 of file EST_TIterator.h.

## EST_TRwStructIterator() [2/2]

template<class Container, class IPointer, class Entry>

EST_TRwStructIterator< Container, IPointer, Entry >::EST_TRwStructIterator | ( | Container & | over | ) |

inline

Create an iterator ready to run over the given container.

Definition at line 291 of file EST_TIterator.h.

## Member Function Documentation

## operator=()

template<class Container, class IPointer, class Entry>

Iter & EST_TRwStructIterator< Container, IPointer, Entry >::operator= | ( | const Iter & | orig | ) |

inline

Copy an iterator by assignment.

Definition at line 287 of file EST_TIterator.h.

## operator->()

template<class Container, class IPointer, class Entry>

Entry * EST_TRwStructIterator< Container, IPointer, Entry >::operator-> | ( |  | ) | const

inline

Definition at line 294 of file EST_TIterator.h.

The documentation for this class was generated from the following file:

- include/EST_TIterator.h